## EomPrintImageSetup EomPrintImageSetup |

## Functions

GtkWidget * | eom_print_image_setup_new ()
void | eom_print_image_setup_get_options ()
void | eom_print_image_setup_update ()

## Properties

EomImage * | image | Read / Write
GtkPageSetup * | page-setup | Read / Write

## Types and Values

struct | EomPrintImageSetup

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkGrid
                        ╰── EomPrintImageSetup

## Implemented Interfaces

EomPrintImageSetup implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

## Functions

### eom_print_image_setup_new ()

    GtkWidget *
    eom_print_image_setup_new (EomImage *image,
                               GtkPageSetup *page_setup);

Creates a new EomPrintImageSetup widget, to be used as a custom widget in a GtkPrintUnixDialog. This widgets allows to set the image position and scale in a page.

#### Parameters

image | the EomImage to print |
page_setup | a GtkPageSetup specifying the page where the image will be print |

#### Returns

a new EomPrintImageSetup

### eom_print_image_setup_get_options ()

    void
    eom_print_image_setup_get_options (EomPrintImageSetup *setup,
                                       gdouble *left,
                                       gdouble *top,
                                       gdouble *scale,
                                       GtkUnit *unit);

Gets the options set by the EomPrintImageSetup.

#### Parameters

setup | a EomPrintImageSetup |
left | a pointer where to store the image's left position |
top | a pointer where to store the image's top position |
scale | a pointer where to store the image's scale |
unit | a pointer where to store the GtkUnit used by the `left` and `top` values. |

### eom_print_image_setup_update ()

    void
    eom_print_image_setup_update (GtkPrintOperation *operation,
                                  GtkWidget *custom_widget,
                                  GtkPageSetup *page_setup,
                                  GtkPrintSettings *print_settings,
                                  gpointer user_data);

## Types and Values

### struct EomPrintImageSetup

    struct EomPrintImageSetup;

## Property Details

### The `“image”` property

      “image”                    EomImage *

The image whose printing properties will be set up.

Owner: EomPrintImageSetup

Flags: Read / Write

### The `“page-setup”` property

      “page-setup”               GtkPageSetup *

The information for the page where the image will be printed.

Owner: EomPrintImageSetup

Flags: Read / Write